Subject: bug#50462: 27.2; emacsclient syntax highlight failure

From: RDS <[email-masked]>
Date: Wed, 8 Sep 2021 13:32:46 -0700

>So two frames from two separate emacsclients are always involved?  And
>you need to switch from one client to another and back?
Two tty's & emacsclients or more are used:
(In X org, I open 2 workspaces. Each has an xterm.)
tty1> emacsclient -t /home/rds (showing dired)
visit .bashrc (it has lots of strings from aliases)
switch to tty2
tty2> mc (run Midnight Commander)
edit .Xesources ($EDITOR=emacsclient -t)
It looks fine.
switch to tty1.
.bashrc looks OK.
switch to tty2
edit more files in my tree randomly with emacsclient.
switch to tty1. All OK? yes. back to tty2.
keep repeating this cycle. Eventually, tty1 will lose its string display.

On Wed, Sep 8, 2021 at 1:17 PM Eli Zaretskii <[email-masked]> wrote:

> > From: RDS <[email-masked]>
> > Date: Wed, 8 Sep 2021 13:05:59 -0700
> > Cc: [email-masked], [email-masked]
> >
> > >OK, so please describe again, in as much detail as you can, what do
> > >you do with Emacs between correct display and incorrect display.  You
> > >said you switch to another buffer and return, but could you tell more?
> > >Just switching to another buffer and back immediately triggers that?
> > >Or something else is needed?
> > That is indeed the tough part. I have yet to find a definite repeatable
> pattern that induces the bug. But, I now
> > usually arrive there in a few minutes of activity with two emacsclients
> -t in use.
> >
> > Switching back & forth immediately will not do it. At least one client
> is loading / unloading various files before
> > switching back to other client. Take a look again at the original post
> for more of these general actions I use.
>
> So two frames from two separate emacsclients are always involved?  And
> you need to switch from one client to another and back?
>